% ===============================================
% SwingStance.m
% CBP 11-11-23
% Tripod gait Left only
% ===============================================

period = 10;
endTime = 1.5*period;

time = [0:0.1:endTime];

drive = sin(2*pi*time/period);

% Calculate the lift
for i = 1: length(drive)
  if (drive(i) > 0)
    lift(i) = 1;
  else
    lift(i) = 0;
  endif
endfor

% Calculate the swing
threshold = input("Input threshold ");

for i = 1: length(drive)
  if (drive(i) > threshold)
    swing(i) = 1;
  elseif (drive(i) < -threshold)
    swing(i) = -1;
  else
    swing(i) = 0;
  endif
endfor

subplot(3,1,1)
plot(time,drive,'linewidth',1.5);
title('Drive');
grid;
axis([0,endTime,-1.5,1.5]);

subplot(3,1,2)
plot(time,lift,'linewidth',1.5);
title('Lift');
grid;
axis([0,endTime,-0.5,1.5]);
subplot(3,1,3);
plot(time,swing,'linewidth',1.5);
title('Swing');
grid;
axis([0,endTime,-1.5,1.5]);

